/*
 * This software is the confidential and proprietary information of
 * Smardec. You shall not disclose or distribute such Confidential Information.
 * This software shall not be integrated, copied (partially or fully),
 * or reverse engineered into any other software, program, or code that is
 * not intended for Smardec. You shall use it only in accordance with the terms
 * of the license agreement you entered into with Smardec.
 *
 * Copyright (C) 2004-2006 Smardec. All rights reserved.
 *
 * http://www.smardec.com
 *
 */

package com.smardec.demo.j2native.win32.cdplayer;

import com.smardec.j2native.Argument;
import com.smardec.j2native.Structure;
import com.smardec.j2native.UInt32;

public class RECT extends Structure {
    public UInt32 left;
    public UInt32 top;
    public UInt32 right;
    public UInt32 bottom;

    public RECT() {
        left = new UInt32();
        top = new UInt32();
        right = new UInt32();
        bottom = new UInt32();
        initialize(new Argument[]{left, top, right, bottom});
    }
}
